Album: Friendsim 2 - Volume 2
Directory Suffix: friendsim-2
Date: April 13, 2025
Additional Names:
- Name: >-
    Friendsim 2 - Volume 2 (original soundtrack)
  Annotation: >-
    [Bandcamp](https://studiojune.bandcamp.com/album/friendsim-2-volume-2-original-soundtrack)
URLs:
- https://studiojune.bandcamp.com/album/friendsim-2-volume-2-original-soundtrack
Cover Artists:
- Jonaya Riley (design)
- Herk Lapaduza (background, mansion)
- Queuestuck (background, moon)
Cover Art File Extension: png
Track Art File Extension: png
Art Tags:
- Alternia
- Pink Moon
- Green Moon
Color: '#07b472'
Groups:
- Studio June
- Fandom
Commentary: |-
    <i>Studio June:</i>

    ([Album listening party stream!](https://www.youtube.com/watch?v=tnk760RhN9o))
---
Track: 'Friendship... ?'
Suffix Directory: true
Always Reference By Directory: true
Artists:
- dbnet18
Duration: 1:51
URLs:
- https://studiojune.bandcamp.com/track/friendship
---
Track: Periphery Neon
Artists:
- Alex Rosetti
Duration: 2:13
URLs:
- https://studiojune.bandcamp.com/track/periphery-neon
---
Track: Bougie Bar Crawl
Artists:
- BAQ
Duration: 1:54
URLs:
- https://studiojune.bandcamp.com/track/bougie-bar-crawl
---
Track: It Be Like That All the Time
Artists:
- articulatelyComposed
Duration: 2:31
URLs:
- https://studiojune.bandcamp.com/track/it-be-like-that-all-the-time
Referenced Tracks:
- it be like that sometimes
---
Track: Artist's Block
Artists:
- dbnet18
Duration: 3:24
URLs:
- https://studiojune.bandcamp.com/track/artists-block
---
Track: The World's a Canvas!
Artists:
- dbnet18
Duration: 3:22
URLs:
- https://studiojune.bandcamp.com/track/the-worlds-a-canvas
---
Track: Small Headlines
Artists:
- dbnet18
Duration: 1:20
URLs:
- https://studiojune.bandcamp.com/track/small-headlines
---
Track: Newsflash
Suffix Directory: true
Always Reference By Directory: true
Artists:
- dbnet18
Duration: 2:14
URLs:
- https://studiojune.bandcamp.com/track/newsflash
---
Track: Depict & Detail
Artists:
- dbnet18
Duration: 1:44
URLs:
- https://studiojune.bandcamp.com/track/depict-detail
---
Track: Rebel Radio
Artists:
- Rainy
Duration: 2:11
URLs:
- https://studiojune.bandcamp.com/track/rebel-radio
---
Track: G.U.N. (Getting Unalived Now)
Artists:
- articulatelyComposed
Duration: 2:12
URLs:
- https://studiojune.bandcamp.com/track/g-u-n-getting-unalived-now
---
Track: Don't tell anybody I wrote this for a homestuck fan game for money
Artists:
- James Roach
Duration: 2:51
URLs:
- https://studiojune.bandcamp.com/track/dont-tell-anybody-i-wrote-this-for-a-homestuck-fan-game-for-money
---
Track: Dire Straits
Artists:
- Rainy
Duration: 2:04
URLs:
- https://studiojune.bandcamp.com/track/dire-straits
---
Track: Overloaded
Suffix Directory: true
Always Reference By Directory: true
Artists:
- SplitSuns
Duration: 2:16
URLs:
- https://studiojune.bandcamp.com/track/overloaded
---
Track: Inferno
Suffix Directory: true
Always Reference By Directory: true
Artists:
- BAQ
Duration: 2:52
URLs:
- https://studiojune.bandcamp.com/track/inferno
---
Track: Sad Communist Extravaganza
Artists:
- articulatelyComposed
Duration: 3:17
URLs:
- https://studiojune.bandcamp.com/track/sad-communist-extravaganza
Referenced Tracks:
- The Internationale
- State Anthem of the Soviet Union
---
Track: Rusty's Refrain
Artists:
- articulatelyComposed
Duration: 1:56
URLs:
- https://studiojune.bandcamp.com/track/rustys-refrain
---
Track: Mad Harlequin Gang
Artists:
- Funk McLovin
Duration: 1:36
URLs:
- https://studiojune.bandcamp.com/track/mad-harlequin-gang
Referenced Tracks:
- Friendsim 2 Volume 12 Clownery
---
Track: Mad Harlequin Gang (Dreamscape)
Artists:
- Funk McLovin
Duration: 1:21
URLs:
- https://studiojune.bandcamp.com/track/mad-harlequin-gang-dreamscape
Referenced Tracks:
- Friendsim 2 Volume 12 Clownery
---
Track: Perturbed Jester Cadre
Artists:
- Funk McLovin
Duration: 2:23
URLs:
- https://studiojune.bandcamp.com/track/perturbed-jester-cadre
Referenced Tracks:
- Friendsim 2 Volume 12 Clownery
---
Track: Perturbed Jester Cadre (Dreamscape)
Artists:
- Funk McLovin
Duration: 2:03
URLs:
- https://studiojune.bandcamp.com/track/perturbed-jester-cadre-dreamscape
Referenced Tracks:
- Friendsim 2 Volume 12 Clownery
---
Track: Mildly Toxic Love
Artists:
- Frilent
- Jonaya Riley (arrangement)
Duration: 1:28
URLs:
- https://studiojune.bandcamp.com/track/mildly-toxic-love
Referenced Tracks:
- Toxic Love
---
Track: Mind Honey-Pop
Artists:
- articulatelyComposed
Duration: 1:49
URLs:
- https://studiojune.bandcamp.com/track/mind-honey-pop
Cover Artists:
- Jonaya Riley
---
Track: The Beach Episode
Artists:
- articulatelyComposed
Duration: 1:37
URLs:
- https://studiojune.bandcamp.com/track/the-beach-episode
Cover Artists:
- Jonaya Riley
---
Track: Ma (Time Between Each Clap)
Artists:
- Fable Bae
Duration: 2:24
URLs:
- https://studiojune.bandcamp.com/track/ma-time-between-each-clap
Cover Artists:
- Jonaya Riley
---
Track: Never Lost, Always Found
Artists:
- Alex Heighton
Duration: 1:20
URLs:
- https://studiojune.bandcamp.com/track/never-lost-always-found
Cover Artists:
- Jonaya Riley
---
Track: ah! refreshing daily nichijou editors note nichijou means ordinary life dot m pee three
Artists:
- Funk McLovin
Duration: 0:45
URLs:
- https://studiojune.bandcamp.com/track/ah-refreshing-daily-nichijou-editors-note-nichijou-means-ordinary-life-dot-m-pee-three
Cover Artists:
- Jonaya Riley
---
Track: TechniColor Tetris
Artists:
- Jonaya Riley (mixing)
- merlijn1998 (arrangement)
Duration: 1:16
URLs:
- https://studiojune.bandcamp.com/track/technicolor-tetris
Cover Artists:
- Jonaya Riley
Referenced Tracks:
- A-Type
---
Track: Can Comrade 1983 Home Edition
Artists:
- Frost Carter
Duration: 2:04
URLs:
- https://studiojune.bandcamp.com/track/can-comrade-1983-home-edition
Referenced Tracks:
- Showtime (Original Mix)
---
Track: Something Isn't Right...
Artists:
- Rainy
Duration: 2:02
URLs:
- https://studiojune.bandcamp.com/track/something-isnt-right
---
Track: Clear and Apparent Danger
Artists:
- Rainy
Duration: 2:01
URLs:
- https://studiojune.bandcamp.com/track/clear-and-apparent-danger
---
Track: Into the Haunted Place
Artists:
- James Roach
Duration: 3:16
URLs:
- https://studiojune.bandcamp.com/track/into-the-haunted-place
Referenced Tracks:
- English
---
Track: Narrative Entanglement
Artists:
- Grace Medley
Duration: 3:33
URLs:
- https://studiojune.bandcamp.com/track/narrative-entanglement
